'use strict';

var admin = require('../../firebase');

module.exports = function(AccessToken) {
  AccessToken.observe('before save', (ctx, next) => {
    const userId = `${ctx.instance.userId}`;
    admin.auth().createCustomToken(userId).then((token) => {
      ctx.instance.firebaseToken = token;
      next();
    });
  });
};
